Skip to content

Get driver checks

Request

Get a set of previously created driver checks

Security
get-bearer-token-using-oauth2
Query
limitinteger, [ 0 .. 999999 ]

limit the number of records returned

Default:10
skipinteger, [ 0 .. 999999 ]

skip a number of records before returning (for paging)

Default:0
include[]Array of strings

Embed the profile in the response in place of profile_id.

Items ValueDescription
profile

Embeds the full profile object in place of profile_id.

Examples:
Single value
include[]=["profile"]
curl -i -X GET \
  'https://api.checkrtrust.com/v1/driver_checks?limit=10&skip=0&include%5B%5D=profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
Array [
One of:
]
Response
[ { "profile_id": "2b8313e8-4efd-45a1-b578-952b8313e890", "id": "2b8313e8-4efd-45a1-b578-952b8313e890", "created_at": "2020-01-01T00:00:00Z", "completed_at": "2020-01-01T00:00:00Z", "results": { … }, "check_type": "driver_license_status", "reference_id": "ref-123" } ]